# -*- coding: utf8 -*-
from __future__ import unicode_literals

from driverng.tests import BaseTest


class TestProtocolDXC700(BaseTest):
    PROTOCOL_CLASS = "dxc700"

    def test_send(self):
        self.assertSendRecvMessageEqual(
            "Sh123412W1234          123456    EA  0B  0",
            """
            send <stx>Sh123412W1234          123456    EA  0B  0<etx>-
            recv <ack>
            send <eot>
            """,
        )
